package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.RemoveProfile;

import java.util.List;
@ApiModel(value = "RemoveProfileBeanWrapper",
        description = "This class represents the information of RemoveProfile.")
public class RemoveProfileBeanWrapper {

    @ApiModelProperty(name = "deviceIDs", value = "List of deviceIds to be executed RemoveProfile.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation", value = "RemoveProfile.", required = true)
    private RemoveProfile operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public RemoveProfile getOperation() {
        return operation;
    }

    public void setOperation(RemoveProfile operation) {
        this.operation = operation;
    }
}
